> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# The Uploaded Documents object

> Find more information about the responses for uploaded documents.

# Attributes

The table below covers information from the response for uploaded documents. The response body is an array of objects and can include multiple document values.

| Attribute   | Type         | Description                                                                                                                                           |
| :---------- | :----------- | :---------------------------------------------------------------------------------------------------------------------------------------------------- |
| id          | string       | Document ID                                                                                                                                           |
| type        | string       | Document type, valid responses below `PAYSTUB`, `W2`, `F1099`, `F1040`, `VOLUNTEER_LETTER`, `INSURANCE_HOME_POLICY`, `INSURANCE_AUTO_POLICY`, `OTHER` |
| subtype     | string, null | Document subtype, valid responses below `F1099_DIV`, `F1099_G`, `F1099_INT`, `F1099_MISC`, `F1099_NEC`, `F1099_R`, `F_SSA1099`                        |
| file        | uri          | Document file link, file may be absent or partially uploaded (up to 2048 characters long)                                                             |
| filename    | string       | Document file name                                                                                                                                    |
| mimetype    | string       | Document mimetype                                                                                                                                     |
| created\_at | date-time    | Date when document was uploaded                                                                                                                       |
| updated\_at | date-time    | Date when document was updated                                                                                                                        |

<Warning>
  Document file URLs are **temporary pre-signed URLs that expire after 1 hour**. After expiry, the URL returns an access error. To get a fresh URL, make a new API request to the [Retrieve document](/api-reference/uploaded-documents/retrieve-document) endpoint. This does not trigger a data refresh or re-upload — it simply generates a new pre-signed URL for the same file.
</Warning>

<Note>
  When the `other` document type is enabled in the document upload settings of your [customization template](/api-reference/templates/object), end users can upload arbitrary documents that don't fit the other categories. Truv does not parse these `OTHER` documents into structured data (they are captured only), but you can collect the uploaded files through this Uploaded Documents API.
</Note>

# Endpoints

Use the endpoints below to get information on uploaded documents.

* [List all documents](/api-reference/uploaded-documents/list-documents)
* [Retrieve document](/api-reference/uploaded-documents/retrieve-document)

# Example response

The sample below is a JSON response for the endpoint.

```json theme={null}
[
  {
    "id": "24d7e80942ce4ad58a93f70ce4115f5c",
    "type": "W2",
    "subtype": null,
    "file": "https://citadelid-resources.s3.us-west-2.amazonaws.com/doc_upload/w2.pdf",
    "filename": "most.recent.paystub.pdf",
    "mimetype": "application/pdf",
    "created_at": "2023-08-03T23:52:12.751Z",
    "updated_at": "2023-08-03T23:52:12.751Z"
  }
]
```
